rte_red_config(3)

NAME
rte_red_config

SYNOPSIS

#include <rte_red.h>

  Data Fields

uint32_t min_th
uint32_t max_th
uint32_t pa_const
uint8_t maxp_inv
uint8_t wq_log2

Detailed Description

RED configuration parameters

Definition at line 55 of file rte_red.h.

Field Documentation

  uint32_t min_th
min_th scaled in fixed-point format

Definition at line 56 of file rte_red.h.

  uint32_t max_th
max_th scaled in fixed-point format

Definition at line 57 of file rte_red.h.

  uint32_t pa_const
Precomputed constant value used for pa calculation (scaled in fixed-point format)

Definition at line 58 of file rte_red.h.

  uint8_t maxp_inv
maxp_inv

Definition at line 59 of file rte_red.h.

  uint8_t wq_log2
wq_log2

Definition at line 60 of file rte_red.h.

Author

Generated automatically by Doxygen for DPDK from the source code.